package domain;

public class Card {
   private Rank rank;
   private Suit suit;

   public Card(Rank rank, Suit suit) {
      this.rank = rank;
      this.suit = suit;
   }

   public Rank getRank() {
      return rank;
   }

   public Suit getSuit() {
      return suit;
   }

   @Override
   public boolean equals(Object object) {
      if (object == null)
         return false;
      if (object.getClass() != this.getClass())
         return false;
      Card card = (Card)object;
      return this.getRank().equals(card.getRank())
            && this.getSuit().equals(card.getSuit());
   }
}
